<?php 

$dlhost = "https://dl.musictar.ir";    

require_once 'jdf.php';
$arrContextOptions=array(
    "ssl"=>array(
        "verify_peer"=>false,
        "verify_peer_name"=>false,
    ),
); 
$artist_en = $_POST['artist_en'];
$song_en = $_POST['song_en'];
$cover = $_POST['cover'];
$music128 = $_POST['music128'];
$music320 = $_POST['music320'];
$year = jdate('Y', time());
$month = jdate('m', time());
$dir = "Song/08";
if ( ! file_exists($dir))
mkdir($dir, 0755, true);

$GenerateTrackLink320 = $_SERVER['DOCUMENT_ROOT'] . "/{$dir}/{$artist_en} - {$song_en} [320].mp3";
$GenerateTrackLink128 = $_SERVER['DOCUMENT_ROOT'] . "/{$dir}/{$artist_en} - {$song_en} [128].mp3";
$GenerateCoverLink = $_SERVER['DOCUMENT_ROOT'] . "/{$dir}/{$artist_en} - {$song_en}.jpg";


function MP3_Id_tags($dirfile, $singer, $song, $axahang){

$TextEncoding = 'UTF-8';

require_once('getid3/getid3.php');
$getID3 = new getID3;
$getID3->setOption(array('encoding'=>$TextEncoding));
require_once('getid3/write.php');
$tagwriter = new getid3_writetags;
$tagwriter->filename = $dirfile;
$albumPath = $axahang;
$tagwriter->tagformats = array('id3v2.3');
$tagwriter->overwrite_tags    = true; 
$tagwriter->remove_other_tags = false;
$tagwriter->tag_encoding      = $TextEncoding;
$tagwriter->remove_other_tags = true;

$TagData = array(
	'title'                  => array($song),
	'artist'                 => array($singer. ' [ Musictar.iR ] '),
	'album'                  => array(' موزیک تار '),
	'year'                   => array(''),
	'genre'                  => array(''),
	'comment'                => array(''),
	'track_number'           => array(''),
);

$fd = fopen($albumPath, 'rb');
$APICdata = fread($fd, filesize($albumPath));
fclose($fd);
if($APICdata) {
    $TagData += array(
        'attached_picture' => array(0 => array(
            'data'          => $APICdata,
            'picturetypeid' => 2,
            'description'   => 'cover',
            'mime'          => 'image/jpeg'
        ))
    );
}
$tagwriter->tag_data = $TagData;

if ($tagwriter->WriteTags()) {
    echo 'Successfully wrote tags<br>';
    if (!empty($tagwriter->warnings)) {
        echo 'There were some warnings:<br>'.implode('<br><br>', $tagwriter->warnings);
    }
} else {
    echo 'Failed to write tags!<br>'.implode('<br><br>', $tagwriter->errors);
}

}


function Download($url, $saveto,$arrContextOptions) {
    $content = file_get_contents($url,false, stream_context_create($arrContextOptions));
    file_put_contents($saveto, $content);
}  

$link320 = "{$dlhost}/{$dir}/{$artist_en} - {$song_en} [320].mp3";
$link128 = "{$dlhost}/{$dir}/{$artist_en} - {$song_en} [128].mp3";
$linkcover = "{$dlhost}/{$dir}/{$artist_en} - {$song_en}.jpg";
	
if(move_uploaded_file($_FILES['music128_file']['tmp_name'], $GenerateTrackLink128)) {  
	MP3_Id_tags($GenerateTrackLink128, $artist_en, $song_en, $GenerateCoverLink);
} elseif(!empty($_POST['music128'])) {
	Download($music128, $GenerateTrackLink128,$arrContextOptions);
	MP3_Id_tags($GenerateTrackLink128, $artist_en, $song_en, $GenerateCoverLink);
}

if(move_uploaded_file($_FILES['music320_file']['tmp_name'], $GenerateTrackLink320)) {  
	MP3_Id_tags($GenerateTrackLink320, $artist_en, $song_en, $GenerateCoverLink);
}  elseif(!empty($_POST['music320'])) {
	Download($music320, $GenerateTrackLink320,$arrContextOptions);
	MP3_Id_tags($GenerateTrackLink320, $artist_en, $song_en, $GenerateCoverLink);
}

if(move_uploaded_file($_FILES['mp3_image']['tmp_name'], $GenerateCoverLink)) {  
      
} elseif(!empty($_POST['cover'])) {
	Download($cover, $GenerateCoverLink,$arrContextOptions);
}

unlink($GenerateCoverLink);
?>  
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head><meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>Advanced Post Downloader</title>
<link href="https://dl.musictar.ir/style.css" rel="stylesheet" type="text/css">
</head>
<body>
<center>
<div class="entry">
<div class="cadr">
<?php if(!empty($music320)) { ?>
<textarea class="textarea" readonly="readonly" onclick="javascript:this.select();" name="comment" id="comment" style="float: right;width: 99%;height: 40px;text-align: center;"><?php echo $link320;?></textarea>
<?php } elseif($_FILES['music320_file']['tmp_name']){ ?>
<textarea class="textarea" readonly="readonly" onclick="javascript:this.select();" name="comment" id="comment" style="float: right;width: 99%;height: 40px;text-align: center;"><?php echo $link320;?></textarea>
<?php } if (!empty($music128)) { ?>
<textarea class="textarea" readonly="readonly" onclick="javascript:this.select();" name="comment" id="comment" style="float: right;width: 99%;height: 40px;text-align: center;"><?php echo $link128;?></textarea>
<?php } elseif($_FILES['music128_file']['tmp_name']){ ?>
<textarea class="textarea" readonly="readonly" onclick="javascript:this.select();" name="comment" id="comment" style="float: right;width: 99%;height: 40px;text-align: center;"><?php echo $link128;?></textarea>
<?php }?>
<br>
<a id="button" title="بازگشت" href="https://dl.musictar.ir/index.php" style="display: inline-block;width: 450px;padding: 1em;background: #f1c637;color: #333;border-radius: 10px;">بازگشت</a>
</div>
</div></center>
</body>
</html>